AI resources
Update test user password

This endpoint handles http requests to change the test user password.

PUT

https://api.mercadopago.com/test_user/{id}/password
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
access_token
string

REQUIRED

Test access token generated from the seller by the authentication process (OAuth). Security code that identifies the user, their privileges and an application used in different requests from public sources to access protected resources. Its validity is determined by the expires_in parameter and is similar to APP_USR-1585551492-030918-25######3458-2880736, which is composed of
Access token type: APP_USR (application on behalf of a user), TEST (test, only valid in sandbox)
Client ID: 1585551492
Creation date (MMddHH): 030918
Path
id
string

REQUIRED

Unique ID that identifies the test user.
Response parameters
message
string
Message with the password change status.
new_password
string
New test user password.
Errors

403Forbidden

403

Forbidden

405Method Not Allowed

405

Method-Not-Allowed

500Internal server error

500

Internal-Server-Error

Request
curl -X PUT \
    'https://api.mercadopago.com/test_user/{id}/password?access_token=12123adfasdf123u4u'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
    
Response
{
  "message": "password successfully reset",
  "new_password": "random"
}